aboutsummaryrefslogtreecommitdiff
path: root/sh/shrc.d
diff options
context:
space:
mode:
authorTom Ryder <tom@sanctum.geek.nz>2017-03-10 10:49:37 +1300
committerTom Ryder <tom@sanctum.geek.nz>2017-03-10 10:49:37 +1300
commit4c53b9d6552954938cfdc46ee4cc2a5b524a9f60 (patch)
tree17573ee81f2cae7ea13c4ea4b2e7a12eb1bcc9bf /sh/shrc.d
parentMerge branch 'master' into port/bsd/freebsd (diff)
parentCorrect two manual references (diff)
downloaddotfiles-4c53b9d6552954938cfdc46ee4cc2a5b524a9f60.tar.gz
dotfiles-4c53b9d6552954938cfdc46ee4cc2a5b524a9f60.zip
Merge branch 'master' into port/bsd/freebsd
Diffstat (limited to 'sh/shrc.d')
-rw-r--r--sh/shrc.d/plenv.sh17
-rw-r--r--sh/shrc.d/vim.sh13
2 files changed, 17 insertions, 13 deletions
diff --git a/sh/shrc.d/plenv.sh b/sh/shrc.d/plenv.sh
new file mode 100644
index 00000000..6e03618e
--- /dev/null
+++ b/sh/shrc.d/plenv.sh
@@ -0,0 +1,17 @@
+# POSIX-compatible version of the plenv Bash shell wrapper
+[ -d "$HOME"/.plenv ] || return
+plenv() {
+ case $1 in
+ rehash)
+ shift
+ eval "$(plenv sh-rehash "$@")"
+ ;;
+ shell)
+ shift
+ eval "$(plenv sh-shell "$@")"
+ ;;
+ *)
+ command plenv "$@"
+ ;;
+ esac
+}
diff --git a/sh/shrc.d/vim.sh b/sh/shrc.d/vim.sh
deleted file mode 100644
index e9174082..00000000
--- a/sh/shrc.d/vim.sh
+++ /dev/null
@@ -1,13 +0,0 @@
-# If Vim exists on the system, use it instead of ex, vi, and view
-command -v vim >/dev/null 2>&1 || return
-
-# Define functions proper
-ex() {
- vim -e "$@"
-}
-vi() {
- vim "$@"
-}
-view() {
- vim -R "$@"
-}